<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.7

Copyright (C) 2006-2007  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/


// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");

include_once("../inc/fic_age.inc.php");
include_once("../inc/fic_zc.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/func_mail.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../classes/phpmailer/class.phpmailer.php");
include_once("../inc/mail.inc.php");
include_once("../classes/dirtool/class_dirtool.php");
Archivelog(@$_SESSION["code_log"]);

$import_ok = TRUE;
$import_fait = FALSE;
$fic_ok = TRUE;

$titre = strip_tags(trim($_POST['titre']));
$td = strip_tags(trim($_POST['td']));

if ($td == "") // Si vide, c'est une erreur
	$import_ok = FALSE;

// Vérification du type de demande
switch ($td)
{
	case "cli" :
	case "art" :
	case "catm" :
	case "mque" :
	case "tl" :
	case "dep" :
	case "pays" :
	case "villes" :
		break;
	default :
		$import_ok = FALSE;
		break;
}

// Vérification du mode du connecté (pour éviter les hacks)
switch ($td)
{
	case "cli" :
		if (@$_SESSION["niv_log"] <= 3)
			$import_ok = FALSE;
		break;
	case "art" :
	case "catm" :
	case "mque" :
	case "tl" :
	case "dep" :
	case "pays" :
	case "villes" :
		// Les agences n'ont droit qu'aux imports clients
		if (@$_SESSION["niv_log"] <= 4)
			$import_ok = FALSE;
		break;
	default :
		$import_ok = FALSE;
		break;
}

if ($import_ok == TRUE)
{
	$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
	mysql_select_db(DBNAME);
	switch ($td)
	{
		case "cli" :
			$rech = "SELECT * FROM `" .TBCLI. "`";
			break;
		case "art" :
			$rech = "SELECT * FROM `" .TBPDT. "`";
			break;
		case "catm" :
			$rech = "SELECT * FROM `" .TBRPCAT. "`";
			break;
		case "mque" :
			$rech = "SELECT * FROM `" .TBMQUE. "`";
			break;
		case "tl" :
			$rech = "SELECT * FROM `" .TBRLTL. "`";
			break;
		case "dep" :
			$rech = "SELECT * FROM `" .TBDEP. "`";
			break;
		case "pays" :
			$rech = "SELECT * FROM `" .TBPAYS. "`";
			break;
		case "villes" :
			$rech = "SELECT * FROM `" .TBVILLES. "`";
			break;
	}
	$rs = mysql_query($rech)or die(mysql_error());
	$num = mysql_num_fields($rs);
	for ($i=0; $i<$num; $i++) 
	{
		$nom = mysql_field_name($rs,$i);
		$aimporter=TRUE;
		switch ($td)
		{
			/****************************/
			/**          VILLES        **/
			/****************************/
			case "villes" :
				if ($nom=="villes_id")
					$aimporter=FALSE;
				break;
			/****************************/
			/**            PAYS        **/
			/****************************/
			case "pays" :
				if ($nom=="pays_id")
					$aimporter=FALSE;
				break;
			/******************************************************/
			/**            DEPARTEMENTS / REGIONS / ETATS        **/
			/******************************************************/
			case "dep" :
				if ($nom=="dep_id")
					$aimporter=FALSE;
				break;
			/******************************************************/
			/**                   TYPES LICENCES                **/
			/******************************************************/
			case "tl" :
				if ($nom=="rltl_id")
					$aimporter=FALSE;
				break;
			/******************************************************/
			/**                      MARQUES                     **/
			/******************************************************/
			case "mque" :
				if ($nom=="mque_id")
					$aimporter=FALSE;
				if ($nom=="mque_ville")
				{
					$nom_champ="s_mque_cp";
					$tab_nchampcsv["mque_cp"]=@$_POST[$nom_champ];
				}
				break;
			/******************************************************/
			/**                CATEGORIES MATERIELS              **/
			/******************************************************/
			case "catm" :
				if ($nom=="rpcat_id")
					$aimporter=FALSE;
				break;
			/******************************************************/
			/**                    CLIENTS                       **/
			/******************************************************/
			case "cli" :
				if (($nom=="cli_id") OR ($nom=="cli_datecrea") OR ($nom=="cli_codecrea") OR ($nom=="cli_datemod") OR ($nom=="cli_codemod") OR ($nom=="cli_pass") OR (($nom=="cli_prop") AND (@$_SESSION["niv_log"] == 4)))
					$aimporter=FALSE;
				if ((@$_SESSION["niv_log"]==4) AND ($nom=="cli_codedo"))
					$aimporter=FALSE;
				if ($nom=="cli_ville")
				{
					$nom_champ="s_cli_cp";
					$tab_nchampcsv["cli_cp"]=@$_POST[$nom_champ];
				}

				// Gestion des catégories
				switch ($_POST["catcli"])
				{
					case "G" :
						$gencat = TRUE;
						break;
					case "S" :
						$gencat = FALSE;
						break;
					default :
						$gencat=TRUE;
						break;
				}
				
				// Gestion des civilités
				switch ($_POST["civcli"])
				{
					case "G" :
						$genciv = TRUE;
						break;
					case "S" :
						$genciv = FALSE;
						break;
					default :
						$genciv=TRUE;
						break;
				}
				
				break;
			/******************************************************/
			/**                    ARTICLES                      **/
			/******************************************************/
			case "art" :
				// Construction du tableau des champs et de numéros de champs choisis
				if (($nom=="pdt_id") OR ($nom=="pdt_datecrea") OR ($nom=="pdt_codecrea") OR ($nom=="pdt_datemod") OR ($nom=="pdt_codemod"))
					$aimporter=FALSE;

				// Gestion des familles
				switch ($_POST["codefam"])
				{
					case "G" :
						$genfam = TRUE;
						break;
					case "S" :
						$genfam = FALSE;
						break;
					default :
						$genfam=TRUE;
						break;
				}
				
				break;
			default :
				break;
		}
		if ($aimporter==TRUE)
		{
			$nom_champ="s_".$nom;
			// Tableau donnant le numéro de champs CSV à importer en fonction du nom MySQL
			$tab_nchampcsv[$nom]=@$_POST[$nom_champ];
		}
	}
	mysql_free_result($rs);
	mysql_close($conn);
	
	// Variable d'encadrement
	switch ($_POST["cadre"])
	{
		case "A" :
			$encadre = "'";
			break;
		case "R" :
			$encadre = "";
			break;
		default :
			$encadre="\"";
			break;
	}

	// Délimiteur
	switch ($_POST["sep"])
	{
		case "V" :
			$delimiteur = ",";
			break;
		default :
			$delimiteur=";";
			break;
	}

	// Chemin du fichier à importer
	switch (@$_SESSION["niv_log"])
	{
		case 4 :
			$row = lit_enr_age(@$_SESSION["code_log"]);
			if (is_array($row))
			{
				extract($row);
				$fichier = $url_gfc."/agences/".strtolower($age_code)."/imports/".@$_POST["nomfic"];
			}
			else
			{
				$fic_ok=FALSE;
			}
			break;
		case 5 :
		case 9 :
			$fichier = $url_gfc."/imports/".@$_POST["nomfic"];
			break;
		default :
			$fic_ok=FALSE;
			break;
	}

	if ($fic_ok==TRUE)
	{
		// Lecture du fichier texte/CSV pour l'importation
		$handle = @fopen($fichier, 'r');
		if ($handle)
		{
			$nligne=0;
			$nb_erreurs=0;
			$tab_code=array();
			$tab_detail=array();
			$tab_result=array();
			switch ($td)
			{
				/******************************************************/
				/**                    CLIENTS                       **/
				/******************************************************/
				case "cli" :
					$nsaisies_cat=0;
					$nsaisies_civ=0;
					$tab_cat_detail=array();
					$tab_cat_result=array();
					$tab_civ_detail=array();
					$tab_civ_result=array();
					$tab_codepass=array();
					$tab_clirep=array();
					break;
				/******************************************************/
				/**                    ARTICLES                      **/
				/******************************************************/
				case "art" :
					$nsaisies_fam=0;
					$tab_fam_detail=array();
					$tab_fam_result=array();
					break;
				default :
					break;
			}

			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);

			while (!feof($handle))
			{
				$ligne=fgets($handle);
				
				// Traitement de la ligne
				if(!empty($ligne))
				{
					// Première ligne ?
					if (($_POST["ligtitre"]=="O") OR ($nligne>0))
					{
						$ligne=trim($ligne);
						
						$long_ligne=strlen($ligne);
						$champ="";
						$encadre_ouvert=FALSE;
						$fin_champ=FALSE;
						$nchamp=0;
			
						for ($i=0; $i<$long_ligne; $i++)
						{
							$carac_ok=TRUE;
							
							// On extrait le caractère à la position courante
							$carac=substr($ligne,$i,1);
							// C'est un caractère d'encadrement ?
							if ($encadre<>"") // Tests uniquement si caractère d'encadrement défini
							{
								// Oui...on vérifie l'état du booléen
								if ($carac == $encadre)
								{
									if ($encadre_ouvert==FALSE)
									{
										$encadre_ouvert=TRUE; // Si pas encore ouvert, on dit que c'est ouvert
										$carac_ok=FALSE; // Et on ne prend pas le caractère
									}
									else // Déjà ouvert...des tests sont à effectuer
									{
										// On est bout de ligne ?
										// Si oui, on prend le texte
										// Si non, on vérifie si délimiteur
										if ($i==($long_ligne-1))
										{
											$encadre_ouvert=FALSE;
											$fin_champ=TRUE;
											$carac_ok=FALSE; // Et on ne prend pas le caractère
										}
										else
										{
											// On extrait le caractère à la position suivante
											$carac_suiv=substr($ligne,$i+1,1);
											if ($carac_suiv==$delimiteur) // Le caractère suivant est un délimiteur...c'est donc une fin de chaîne
											{
												$encadre_ouvert=FALSE;
												$fin_champ=TRUE;
												$carac_ok=FALSE; // Et on ne prend pas le caractère
											}
										}
									}
								}
							}
							
							// C'est un délimiteur ?
							// Oui....il faut faire quelques tests
							if ($carac == $delimiteur)
							{
								if ($encadre_ouvert==FALSE) // Le booleen n'est pas actif...c'est un caractère à ne pas prendre
									$carac_ok=FALSE;
							}
			
							// Si le caractère est ok...on l'intègre à la chaine
							if ($carac_ok==TRUE)
								$champ.=$carac;
							// Si on est en fin de champ, on ajoute au tableau
							if ($fin_champ==TRUE)
							{
								$tab_csv_nfields[$nchamp]=$champ;
								$champ="";
								$fin_champ=FALSE;
								$nchamp++;
							}
						}

						switch ($td)
						{
							/******************************************************/
							/**                    CLIENTS                       **/
							/******************************************************/
							case "cli" :
								// Récupération valeurs de champs primordiales avec nettoyage
								$catcli=substr(str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["cli_cat"]]))),0,5);
								$propcli=str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["cli_prop"]])));
								$codedo=str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["cli_codedo"]])));
								$codecli=str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["cli_code"]])));
								$typcli=str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["cli_type"]])));
								if ($_POST["s_cli_ste"]=="-1")
									$ste="";
								else
									$ste=str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["cli_ste"]])));
								$civilite=substr(str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["cli_civilite"]]))),0,5);
								$prenom=ucwords(strtolower(strip_tags($tab_csv_nfields[$tab_nchampcsv["cli_prenom"]])));
								$nom=str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["cli_nom"]])));
								$adr1=str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["cli_adr1"]])));
								$dep=str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["cli_dep"]])));
								$cp=str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["cli_cp"]])));
								$ville=str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["cli_ville"]])));
								$pays=str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["cli_pays"]])));
								$climail=strtolower(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["cli_email"]])));
								$cptacli=str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["cli_cpta"]])));

								$tab_result[$nligne+1]="Erreur<br>";
								if ($ste<>"")
									$tab_detail[$nligne+1]=$ste.", ".$civilite." ".$prenom." ".$nom;
								else
									$tab_detail[$nligne+1]=$civilite." ".$prenom." ".$nom;

								// Un code client est dans le fichier d'importation ?
								// Si non, on génère un code
								// Si oui, on vérifie si présent...si pas présent, on génère un code
								// .
								// On contrôle également les erreurs en cas d'importation par une agence
								
								$erreur_fatale=FALSE;
								
								if ($_POST["s_cli_code"]=="-1")
									$genere_code=TRUE;
								else
								{
									$genere_code=FALSE;

									if ($codecli<>"")
									{
										// On vérifie le code client est bien alphanumérique
										if (eregi("^[a-z0-9]*$",$codecli))
										{
											$rech = "SELECT * FROM " .TBCLI. " WHERE cli_code = '$codecli'";
											$rs = mysql_query($rech) or die(mysql_error());
											// N'existe pas...on crée un code
											if (mysql_num_rows($rs) == 0)
											{
												$genere_code=TRUE;
											}
											else
											{
												// Il existe
												// Si c'est une agence qui importe, on contrôle que le client est bien à l'agence
												// (On ne traite pas les clients existants et non affectés, ou les clients qui
												// appartiennent à une autre agence)
												if (@$_SESSION["niv_log"]==4)
												{
													if ($row = mysql_fetch_array($rs))
													{
														extract($row);
														if (@$_SESSION["code_log"]<>$cli_prop)
															$erreur_fatale=TRUE;
													}
												}
											}
										}
										else
											$genere_code=TRUE;
									}
									else
										$genere_code=TRUE;
								}
								
								//Si pas d'erreur fatale, on traite
								if ($erreur_fatale==FALSE)
								{
									// On ne traite que les lignes avec les bonnes informations
									if (($catcli<>"") AND ($typcli>=0) AND ($typcli<=2) AND ($civilite<>"") AND ($prenom<>"") AND ($nom<>"") AND ($adr1<>"") AND ($dep<>"") AND ($cp<>"") AND ($ville<>"") AND ($pays<>"") AND ($climail<>"") AND ($cptacli>=0) AND ($cptacli<=3))
									{
										// Contrôle que le département (s'il y en a un) est bien dans la zone de chalandise
										// en cas d'importation par une agence
										if (@$_SESSION["niv_log"]==4)
										{
											$rech = "SELECT * FROM `" .TBAGE. "` WHERE `age_code` = '".@$_SESSION["code_log"]."' AND `age_codepays` = '".$pays."'";
											$rs = mysql_query($rech)or die(mysql_error());
											if ($row = mysql_fetch_array($rs))
											{
												extract($row);
												if (dep_in_zcc_age_open($dep,$age_codepays,$age_code,FALSE) == FALSE)
													$erreur_fatale=TRUE;
											}
										}
										
										if (erreur_fatale==FALSE)
										{
											// On vérifie le code catégorie est bien alphanumérique
											if (eregi("^[a-z0-9]*$",$catcli))
											{
												// On vérifie le code civilité est bien alphanumérique
												if (((eregi("^[a-z0-9]*$",$civilite)) AND ($civilite<>"M.")) OR ($civilite=="M."))
												{
													// Récupération valeurs de champs, avec nettoyages, pour tests complémentaires
													$clitelf=strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["cli_telf"]]));
													$clifax=strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["cli_fax"]]));
													$clitelp=strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["cli_telp"]]));
													
													// On vérifie la catégorie client
													$genere_cat=FALSE;
													$rech = "SELECT * FROM " .TBCCAT. " WHERE cat_code = '$catcli'";
													$rs = mysql_query($rech) or die(mysql_error());
													// N'existe pas...on crée un code
													if (mysql_num_rows($rs) == 0)
													{
														$genere_cat=TRUE;
													}
				
													// On vérifie le code propriétaire
													$propok=TRUE;
													if (@$_SESSION["niv_log"]>=5)
													{
														if ($_POST["s_cli_prop"]!="-1")
														{
															// On vérifie le code agence est bien alphanumérique
															if (eregi("^[a-z0-9]*$",$propcli))
															{
																$rech = "SELECT * FROM " .TBAGE. " WHERE age_code = '$propcli'";
																$rs = mysql_query($rech) or die(mysql_error());
																if (mysql_num_rows($rs) == 0)
																{
																	$propok=FALSE;
																}
															}
															else
																$propok=FALSE;
														}
													}
											
													if ($propok==TRUE)
													{
														// On vérifie le code donneur d'ordres
														$dook=TRUE;
														if (@$_SESSION["niv_log"]>=5)
														{
															if ($_POST["s_cli_codedo"]!="-1")
															{
																// On vérifie le code est bien alphanumérique
																if (eregi("^[a-z0-9]*$",$codedo))
																{
																	$rech = "SELECT * FROM " .TBDO. " WHERE do_code = '$codedo'";
																	$rs = mysql_query($rech) or die(mysql_error());
																	if (mysql_num_rows($rs) == 0)
																	{
																		$dook=FALSE;
																	}
																}
																else
																	$dook=FALSE;
															}
														}
												
														if ($dook==TRUE)
														{
															// On vérifie le pays
															$rech = "SELECT * FROM " .TBPAYS. " WHERE pays_code = '".addslashes($pays)."'";
															$rs = mysql_query($rech) or die(mysql_error());
															if (mysql_num_rows($rs) == 1)
															{
																// On vérifie le département
																$rech = "SELECT * FROM " .TBDEP. " WHERE dep_code = '".addslashes($dep)."' AND dep_codepays = '".addslashes($pays)."'";
																$rs = mysql_query($rech) or die(mysql_error());
																if (mysql_num_rows($rs) == 1)
																{
																	// On vérifie la combinaison CP/Ville/Département/Pays
																	$rech = "SELECT * FROM " .TBVILLES. " WHERE villes_cp = '".addslashes($cp)."' AND villes_nom LIKE '%".addslashes($ville)."%' AND villes_dep='".addslashes($dep)."' AND villes_codepays='".addslashes($pays)."'";
																	$rs = mysql_query($rech) or die(mysql_error());
																	if (mysql_num_rows($rs) == 1)
																	{
																		if ($row = mysql_fetch_array($rs))
																			extract($row);
																		$idvilles=$villes_id;
																		// On vérifie le téléphone fixe
																		$telfok=TRUE;
																		if ($clitelf<>"")
																		{
																			if (!eregi("^([+]33[ ]|0)[1-6,8]{1}[ \.\-]?[0-9]{2}[ ]?[0-9]{2}[ \.\-]?[0-9]{2}[ \.\-]?[0-9]{2}$",$clitelf))
																				$telfok=FALSE;
																		}
																		if ($telfok==TRUE)
																		{
																			// On vérifie le fax
																			$faxok=TRUE;
																			if ($clifax<>"")
																			{
																				if (!eregi("^([+]33[ ]|0)[1-6,8]{1}[ \.\-]?[0-9]{2}[ ]?[0-9]{2}[ \.\-]?[0-9]{2}[ \.\-]?[0-9]{2}$",$clifax))
																					$faxok=FALSE;
																			}
																			if ($faxok==TRUE)
																			{
																				// On vérifie le téléphone portable
																				$portok=TRUE;
																				if ($cliport<>"")
																				{
																					if (!eregi("^([+]33[ ]|0)[1-6,8]{1}[ \.\-]?[0-9]{2}[ ]?[0-9]{2}[ \.\-]?[0-9]{2}[ \.\-]?[0-9]{2}$",$clitelp))
																						$portok=FALSE;
																				}
																				if ($portok==TRUE)
																				{
																					// On vérifie l'email
																					$mailok=TRUE;
																					if ($climail<>"")
																					{
																						if (!eregi("^[a-z0-9_\-]+(\.[a-z0-9_\-]+)*@[a-z0-9\-]*[a-z0-9](\.[a-z0-9\-]*[a-z0-9])*[\.][a-z]{2,3}$",$climail))
																							$mailok=FALSE;
																					}
																					if ($mailok==TRUE)
																					{
																						$rs2="";
						
																						// Si code à générer, c'est un nouveau client
																						if ($genere_code==TRUE)
																						{
																							$rcons = "SELECT * FROM " .TBCONS;
																							$rscons = mysql_query($rcons) or die(mysql_error());
																							if (mysql_num_rows($rscons) == 1) // Uniquement UN SEUL enregistrement !
																							{
																								if ($rowcons = mysql_fetch_array($rscons)) 
																								{
																									extract ($rowcons);
																					
																									$rcli = strip_tags(trim($cons_rcli));
																									$ncli = $cons_ncli;
																									$ncli++;
																									settype ($ncli, "string");
																									$format = "%'07s";
																									$nclif = sprintf ($format,$ncli);
																									$codecree = $rcli.$nclif;
			
																									$rcmaj = "UPDATE `" .TBCONS. "` SET `cons_ncli`='".$ncli."'  WHERE `cons_id` = '".$cons_id."'";
																									$rscmaj = mysql_query($rcmaj) or die(mysql_error());
																								}
																							}
		
																							// Création du répertoire de stockage spécifique au client
																			
																							$rep_clients = $url_gfc."/clients";
																							$desc_rep_clients = "Répertoire spécifique aux clients";
																							$rep_ce_client = $rep_clients."/".strtolower($codecree);
																							if ($ste <> "")
																								$desc_rep_ce_client = "Répertoire client ".$ste." (".$codecree.")";
																							else
																								$desc_rep_ce_client = "Répertoire client ".$nom." ".$prenom." (".$codecree.")";
																							
																							if (!is_dir($rep_clients)) // Si le sous-répertoire spécifique aux clients n'existe pas, on le crée
																							{
																								if (mkdir($rep_clients))
																								{
																									$rech = "INSERT INTO " .TBFIC;
																									$rech .= " (fic_nom,fic_type,fic_desc,fic_datecrea,fic_codecrea,fic_nbtel) VALUES";
																									$rech .= " ('$rep_clients','0','$desc_rep_clients','$datea','$admin_code','')";
																									$rs = mysql_query($rech) or die(mysql_error());
																								}
																							}
																							if (mkdir($rep_ce_client)) // On crée sous-répertoire spécifique à ce client
																							{
																								// On ajoute le détail dans le fichier MySQL
																								$rech = "INSERT INTO " .TBFIC;
																								$rech .= " (fic_nom,fic_type,fic_desc,fic_datecrea,fic_codecrea,fic_nbtel) VALUES";
																								$rech .= " ('$rep_ce_client','0','$desc_rep_ce_client','$datea','$admin_code','')";
																								$rs = mysql_query($rech) or die(mysql_error());
																							}
		
																							$tab_clirep[$codecree]=$rep_ce_client;
		
																							$rs2 = "INSERT INTO " .TBCLI." SET";
																							$rs2.=" `cli_datecrea`='".$datea."',";
																							$rs2.=" `cli_codecrea`='".@$_SESSION["code_log"]."',";
																							$rs2.=" `cli_datemod`='".$datea."',";
																							$rs2.=" `cli_codemod`='".@$_SESSION["code_log"]."',";
																							$rs2.=" `cli_code`='".$codecree."',";
																							
																							$pass = cremdp(FALSE);
																							$passcrypt = md5($pass);
																							$rs2.=" `cli_pass`='".$passcrypt."',";
		
																							// Si c'est une agence qui importe, elle est "propriétaire" du client
																							if (@$_SESSION["niv_log"]==4)
																							{
																								$rs2.=" `cli_prop`='".@$_SESSION["code_log"]."',";
																							}
																							foreach ($tab_nchampcsv as $key => $value)
																							{
																								if ($value>=0)
																								{
																									if (($key<>"cli_ville") AND ($key<>"cli_code"))
																									{
																										if ($key=="cli_cp")
																											$rs2.=" `cli_ville`='".$idvilles."',";
																										else
																											$rs2.=" `".$key."`='".addslashes(strip_tags(trim($tab_csv_nfields[$value])))."',";
																									}
																								}
																							}
																							$rs2=substr($rs2,0,strlen($rs2)-1); // On enlève la dernière virgule
																							$tab_code[$nligne+1]=$codecree;
																							$tab_result[$nligne+1]="Ajout&eacute;";
																							$tab_codepass[$codecree]=$pass;
																						}
																						// Si code existant, c'est un client existant
																						else
																						{
																							if ($_POST["majcli"]=="O") // Oui, si demandé (sinon, rien faire)
																							{
																								$rs2="UPDATE  `".TBCLI."` SET";
																								$rs2.=" `cli_datemod`='".$datea."',";
																								$rs2.=" `cli_codemod`='".@$_SESSION["code_log"]."',";
																								foreach ($tab_nchampcsv as $key => $value)
																								{
																									if ($value>=0)
																									{
																										if ($key<>"cli_ville")
																										{
																											if ($key=="cli_cp")
																												$rs2.=" `cli_ville`='".$idvilles."',";
																											else
																												$rs2.=" `".$key."`='".addslashes(strip_tags(trim($tab_csv_nfields[$value])))."',";
																										}
																									}
																								}
																								$rs2=substr($rs2,0,strlen($rs2)-1); // On enlève la dernière virgule
																								$rs2.=" WHERE `cli_code`='".$codecli."'";
																								$tab_result[$nligne+1]="Modifi&eacute;";
		
																							}
																							else
																							{
																								$tab_result[$nligne+1]="Ignor&eacute; (existe d&eacute;j&agrave;)";
																							}
																							$tab_code[$nligne+1]=$codecli;
																						}
					
																						if ($rs2<>"")
																							mysql_query($rs2) or die(mysql_error());
														
																						// Traitement des catégories
																						$rech = "SELECT * FROM " .TBCCAT. " WHERE cat_code = '".addslashes($catcli)."'";
																						$rs = mysql_query($rech) or die(mysql_error());
																
																						$rs3="";
														
																						// N'existe pas...on insère ?
																						// Si existe, on ne fait rien
																						if (mysql_num_rows($rs) == 0)
																						{
																							$cat_desc=addslashes("CATEGORIE CLIENT \"".$catcli."\"");
															
																							$rs3 = "INSERT INTO " .TBCCAT. "(cat_code,cat_desc) VALUES ('".addslashes($catcli)."','$cat_desc')";
																							if ($gencat==TRUE)
																							{
																								$tab_cat_result[$catcli]="Cr&eacute;&eacute;e";
																							}
																							else
																							{
																								$tab_cat_result[$catcli]="Saisir";
																								$nsaisies_cat++;
																							}
																						
																						}
																						else
																						{
																							if ($row = mysql_fetch_array($rs))
																								extract ($row);
																							$tab_cat_result[$catcli]="Ignor&eacute;e (existe d&eacute;j&agrave;)";
																						}
																						$tab_cat_detail[$catcli]=$cat_desc;
																					if ($rs3<>"")
																							mysql_query($rs3) or die(mysql_error());
																						mysql_free_result($rs);
													
																						// Traitement des civilités
																						$rech = "SELECT * FROM " .TBCIV. " WHERE civ_code = '".addslashes($civilite)."'";
																						$rs = mysql_query($rech) or die(mysql_error());
																
																						$rs3="";
														
																						// N'existe pas...on insère ?
																						// Si existe, on ne fait rien
																						if (mysql_num_rows($rs) == 0)
																						{
																							$civ_desc=addslashes("CIVILITE \"".$civilite."\"");
															
																							$rs3 = "INSERT INTO " .TBCIV. "(civ_code,civ_desc,civ_delok) VALUES ('".addslashes($civilite)."','$civ_desc','1')";
																							if ($genciv==TRUE)
																							{
																								$tab_civ_result[$civilite]="Cr&eacute;&eacute;e";
																							}
																							else
																							{
																								$tab_civ_result[$civilite]="Saisir";
																								$nsaisies_civ++;
																							}
																						
																						}
																						else
																						{
																							if ($row = mysql_fetch_array($rs))
																								extract ($row);
																							$tab_civ_result[$civilite]="Ignor&eacute;e (existe d&eacute;j&agrave;)";
																						}
																						$tab_civ_detail[$civilite]=$civ_desc;
																						if ($rs3<>"")
																							mysql_query($rs3) or die(mysql_error());
																						mysql_free_result($rs);
																					}
																					else
																					{
																						$nb_erreurs++;
																						$tab_result[$nligne+1].="Email erron&eacute;";
																					}
																				}
																				else
																				{
																					$nb_erreurs++;
																					$tab_result[$nligne+1].="Portable erron&eacute;";
																				}
																			}
																			else
																			{
																				$nb_erreurs++;
																				$tab_result[$nligne+1].="Fax erron&eacute;";
																			}
																		}
																		else
																		{
																			$nb_erreurs++;
																			$tab_result[$nligne+1].="Tel. fixe &eacute;rron&eacute;";
																		}
																	}
																	else
																	{
																		$nb_erreurs++;
																		$tab_result[$nligne+1].="CP/ville erron&eacute;e";
																	}
																}
																else
																{
																	$nb_erreurs++;
																	$tab_result[$nligne+1].="D&eacute;partement inconnu";
																}
															}
															else
															{
																$nb_erreurs++;
																$tab_result[$nligne+1].="Pays inconnu";
															}
														}
														else
														{
															$nb_erreurs++;
															$tab_result[$nligne+1].="Donneur d'ordres inconnu";
														}
													}
													else
													{
														$nb_erreurs++;
														$tab_result[$nligne+1].="Agence propri&eacute;taire inconnue";
													}
												}
												else
												{
													$nb_erreurs++;
													$tab_result[$nligne+1].="Mauvais code civilit&eacute;";
												}
												
											}
											else
											{
												$nb_erreurs++;
												$tab_result[$nligne+1].="Mauvais code cat&eacute;gorie";
											}
										}
										else
										{
											$nb_erreurs++;
											$tab_result[$nligne+1].="Pas dans la zone de chalandise";
										}
									}
									else
									{
										$nb_erreurs++;
										$tab_result[$nligne+1].="Champ obligatoire manquant ou erron&eacute;";
									}
								}
								else
								{
									$nb_erreurs++;
									$tab_result[$nligne+1].="Erreur fatale : Impossible &agrave; importer";
								}
								break;

							/******************************************************/
							/**                    ARTICLES                      **/
							/******************************************************/
							case "art" :
								// Récupération valeurs de champs primordiales avec nettoyage
								$codeart=str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["pdt_code"]])));
								$desart=str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["pdt_des"]])));
								$codefam=substr(str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["pdt_fam"]]))),0,5);
								
								$tab_result[$nligne+1]="Erreur<br>";
								$tab_detail[$nligne+1]=$desart;

								// On ne traite que les lignes avec les bonnes informations
								if (($codeart<>"") AND ($desart<>"") AND ($codefam<>""))
								{
									// On vérifie le code article est bien alphanumérique
									if (eregi("^[a-z0-9]*$",$codeart))
									{
										// Récupération valeurs de champs, avec nettoyages, pour tests complémentaires
										$puttc=strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["pdt_puttc"]]));
										$vendu=strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["pdt_vendu"]]));
	
										$tab_art_detail[$codeart]=$desart;
	
										// On vérifie le champ prix de vente (réel ?)
										if (eregi("^[0-9]+(\.[0-9]{0,})?$",$puttc))
										{
											// On vérifie le champ "vendu" (0 ou 1)
											if (eregi("([0-1]{1})",$vendu))
											{
												$rech = "SELECT * FROM " .TBPDT. " WHERE pdt_code = '$codeart'";
												$rs = mysql_query($rech) or die(mysql_error());
												
												$rs2="";
						
												// N'existe pas...on insère
												if (mysql_num_rows($rs) == 0)
												{
													$rs2 = "INSERT INTO " .TBPDT." SET";
													$rs2.=" `pdt_datecrea`='".$datea."',";
													$rs2.=" `pdt_codecrea`='".@$_SESSION["code_log"]."',";
													$rs2.=" `pdt_datemod`='".$datea."',";
													$rs2.=" `pdt_codemod`='".@$_SESSION["code_log"]."',";
													foreach ($tab_nchampcsv as $key => $value)
													{
														if ($value>=0)
														{
															$rs2.=" `".$key."`='".addslashes(strip_tags(trim($tab_csv_nfields[$value])))."',";
														}
													}
													$rs2=substr($rs2,0,strlen($rs2)-1); // On enlève la dernière virgule
													$tab_result[$nligne+1]="Ajout&eacute;";
												}
												else // Existe, on met à jour ?
												{
													if ($_POST["majart"]=="O") // Oui, si demandé (sinon, rien faire)
													{
														$rs2="UPDATE  `".TBPDT."` SET";
														$rs2.=" `pdt_datemod`='".$datea."',";
														$rs2.=" `pdt_codemod`='".@$_SESSION["code_log"]."',";
														foreach ($tab_nchampcsv as $key => $value)
														{
															if ($value>=0)
															{
																$rs2.=" `".$key."`='".addslashes(strip_tags(trim($tab_csv_nfields[$value])))."',";
															}
														}
														$rs2=substr($rs2,0,strlen($rs2)-1); // On enlève la dernière virgule
														$rs2.=" WHERE `pdt_code`='".$codeart."'";
														$tab_result[$nligne+1]="Modifi&eacute;";
													}
													else
														$tab_result[$nligne+1]="Ignor&eacute; (Existe d&eacute;j&agrave;)";
												}
												$tab_code[$nligne+1]=$codeart;
												if ($rs2<>"")
													mysql_query($rs2) or die(mysql_error());
												
												// Traitement des familles
												$rech = "SELECT * FROM " .TBFAM. " WHERE fam_code = '".$codefam."'";
												$rs = mysql_query($rech) or die(mysql_error());
						
												$rs3="";
				
												// N'existe pas...on insère ?
												// Si existe, on ne fait rien
												if (mysql_num_rows($rs) == 0)
												{
													$fam_desc=addslashes("FAMILLE \"".$codefam."\"");
					
													$rs3 = "INSERT INTO " .TBFAM. "(fam_code,fam_desc) VALUES ('$codefam','$fam_desc')";
													if ($genfam==TRUE)
													{
														$tab_fam_result[$codefam]="Cr&eacute;&eacute;e";
													}
													else
													{
														$tab_fam_result[$codefam]="Saisir";
														$nsaisies_fam++;
													}
												
												}
												else
												{
													if ($row = mysql_fetch_array($rs))
														extract ($row);
													$tab_fam_result[$codefam]="Ignor&eacute;e (existe d&eacute;j&agrave;)";
												}
												$tab_fam_detail[$codefam]=$fam_desc;
												if ($rs3<>"")
													mysql_query($rs3) or die(mysql_error());
												mysql_free_result($rs);
											}
											else
											{
												$nb_erreurs++;
												$tab_result[$nligne+1].="Pas '0' ou '1'";
											}
										}
										else
										{
											$nb_erreurs++;
											$tab_result[$nligne+1].="Décimale pas en '.'";
										}
									}
									else
									{
										$nb_erreurs++;
										$tab_result[$nligne+1].="Code pas alphanum&eacute;rique";
									}
								}
								else
								{
									$nb_erreurs++;
									$tab_result[$nligne+1].="Champ obligatoire manquant ou erron&eacute;";
								}
								break;

							/******************************************************/
							/**                CATEGORIES MATERIELS              **/
							/******************************************************/
							case "catm" :
								// Récupération valeurs de champs primordiales avec nettoyage
								$codecatm=str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["rpcat_code"]])));
								$descatm=str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["rpcat_desc"]])));
								
								$tab_result[$nligne+1]="Erreur<br>";
								$tab_detail[$nligne+1]=$descatm;
								
								// On ne traite que les lignes avec les bonnes informations
								if (($codecatm<>"") AND ($descatm<>""))
								{
									// On vérifie le code est bien alphanumérique
									if (eregi("^[a-z0-9]*$",$codecatm))
									{
											$rech = "SELECT * FROM " .TBRPCAT. " WHERE rpcat_code = '$codecatm'";
											$rs = mysql_query($rech) or die(mysql_error());
											
											$rs2="";
					
											// N'existe pas...on insère
											if (mysql_num_rows($rs) == 0)
											{
												$rs2 = "INSERT INTO " .TBRPCAT." SET";
												foreach ($tab_nchampcsv as $key => $value)
												{
													if ($value>=0)
													{
														$rs2.=" `".$key."`='".addslashes(strip_tags(trim($tab_csv_nfields[$value])))."',";
													}
												}
												$rs2=substr($rs2,0,strlen($rs2)-1); // On enlève la dernière virgule
												$tab_result[$nligne+1]="Ajout&eacute;";
											}
											else // Existe, on met à jour ?
											{
												if ($_POST["majcatm"]=="O") // Oui, si demandé (sinon, rien faire)
												{
													$rs2="UPDATE  `".TBRPCAT."` SET";
													foreach ($tab_nchampcsv as $key => $value)
													{
														if ($value>=0)
														{
															$rs2.=" `".$key."`='".addslashes(strip_tags(trim($tab_csv_nfields[$value])))."',";
														}
													}
													$rs2=substr($rs2,0,strlen($rs2)-1); // On enlève la dernière virgule
													$rs2.=" WHERE `rpcat_code`='".$codecatm."'";
													$tab_result[$nligne+1]="Modifi&eacute;";
												}
												else
													$tab_result[$nligne+1]="Ignor&eacute;e (existe d&eacute;j&agrave;)";
											}
											$tab_code[$nligne+1]=$codecatm;
											if ($rs2<>"")
												mysql_query($rs2) or die(mysql_error());
									}
									else
									{
										$nb_erreurs++;
										$tab_result[$nligne+1].="Code pas alphanum&eacute;rique";
									}
								}
								else
								{
									$nb_erreurs++;
									$tab_result[$nligne+1].="Champ obligatoire manquant ou erron&eacute;";
								}

								break;
							/**************************************/
							/**                PAYS              **/
							/**************************************/
							case "pays" :
								// Récupération valeurs de champs primordiales avec nettoyage
								$codepays=str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["pays_code"]])));
								$nompays=str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["pays_nom"]])));
								
								$tab_result[$nligne+1]="Erreur<br>";
								$tab_detail[$nligne+1]=$nompays;
								
								// On ne traite que les lignes avec les bonnes informations
								if (($codepays<>"") AND ($nompays<>""))
								{
									// On vérifie le code est bien alphanumérique
									if (eregi("^[a-z0-9]*$",$codepays))
									{
											$rech = "SELECT * FROM " .TBPAYS. " WHERE pays_code = '$codepays'";
											$rs = mysql_query($rech) or die(mysql_error());
											
											$rs2="";
					
											// N'existe pas...on insère
											if (mysql_num_rows($rs) == 0)
											{
												$rs2 = "INSERT INTO " .TBPAYS." SET";
												foreach ($tab_nchampcsv as $key => $value)
												{
													if ($value>=0)
													{
														$rs2.=" `".$key."`='".addslashes(strip_tags(trim($tab_csv_nfields[$value])))."',";
													}
												}
												$rs2=substr($rs2,0,strlen($rs2)-1); // On enlève la dernière virgule
												$tab_result[$nligne+1]="Ajout&eacute;";
											}
											else // Existe, on met à jour ?
											{
												if ($_POST["majpays"]=="O") // Oui, si demandé (sinon, rien faire)
												{
													$rs2="UPDATE  `".TBPAYS."` SET";
													foreach ($tab_nchampcsv as $key => $value)
													{
														if ($value>=0)
														{
															$rs2.=" `".$key."`='".addslashes(strip_tags(trim($tab_csv_nfields[$value])))."',";
														}
													}
													$rs2=substr($rs2,0,strlen($rs2)-1); // On enlève la dernière virgule
													$rs2.=" WHERE `pays_code`='".$codepays."'";
													$tab_result[$nligne+1]="Modifi&eacute;";
												}
												else
													$tab_result[$nligne+1]="Ignor&eacute;e (existe d&eacute;j&agrave;)";
											}
											$tab_code[$nligne+1]=$codepays;
											if ($rs2<>"")
												mysql_query($rs2) or die(mysql_error());
									}
									else
									{
										$nb_erreurs++;
										$tab_result[$nligne+1].="Code pas alphanum&eacute;rique";
									}
								}
								else
								{
									$nb_erreurs++;
									$tab_result[$nligne+1].="Champ obligatoire manquant ou erron&eacute;";
								}

								break;
							/******************************************************/
							/**                       MARQUES                    **/
							/******************************************************/
							case "mque" :
								// Récupération valeurs de champs primordiales avec nettoyage
								$codemque=str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["mque_code"]])));
								$desmque=str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["mque_ste"]])));
								$type=str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["mque_type"]])));
								$adr1=str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["mque_adr1"]])));
								$dep=str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["mque_dep"]])));
								$cp=str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["mque_cp"]])));
								$ville=str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["mque_ville"]])));
								$pays=str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["mque_codepays"]])));
								$telf=str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["mque_telf"]])));
								
								$tab_result[$nligne+1]="Erreur<br>";
								$tab_detail[$nligne+1]=$desmque;
								
								// On ne traite que les lignes avec les bonnes informations
								if (($codemque<>"") AND ($desmque<>"") AND ($type>=0) AND ($type<=2) AND ($adr1<>"") AND ($dep<>"") AND ($ville<>"") AND ($pays<>"") AND ($telf<>""))
								{
									// On vérifie le code est bien alphanumérique
									if (eregi("^[a-z0-9]*$",$codemque))
									{
										// Récupération valeurs de champs, avec nettoyages, pour tests complémentaires
										$mquefax=strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["mque_fax"]]));

										// On vérifie le pays
										$rech = "SELECT * FROM " .TBPAYS. " WHERE pays_code = '".addslashes($pays)."'";
										$rs = mysql_query($rech) or die(mysql_error());
										if (mysql_num_rows($rs) == 1)
										{
											// On vérifie le département
											$rech = "SELECT * FROM " .TBDEP. " WHERE dep_code = '".addslashes($dep)."' AND dep_codepays = '".addslashes($pays)."'";
											$rs = mysql_query($rech) or die(mysql_error());
											if (mysql_num_rows($rs) == 1)
											{
												// On vérifie la combinaison CP/Ville/Département/Pays
												$rech = "SELECT * FROM " .TBVILLES. " WHERE villes_cp = '".addslashes($cp)."' AND villes_nom LIKE '%".addslashes($ville)."%' AND villes_dep='".addslashes($dep)."' AND villes_codepays='".addslashes($pays)."'";
												$rs = mysql_query($rech) or die(mysql_error());
												if (mysql_num_rows($rs) == 1)
												{
													if ($row = mysql_fetch_array($rs))
														extract($row);
													$idvilles=$villes_id;
													// On vérifie le téléphone fixe
													$telfok=TRUE;
													if (!eregi("^([+]33[ ]|0)[1-6,8]{1}[ \.\-]?[0-9]{2}[ ]?[0-9]{2}[ \.\-]?[0-9]{2}[ \.\-]?[0-9]{2}$",$clitelf))
														$telfok=FALSE;
													if ($telfok==TRUE)
													{
														// On vérifie le fax
														$faxok=TRUE;
														if ($mquefax<>"")
														{
															if (!eregi("^([+]33[ ]|0)[1-6,8]{1}[ \.\-]?[0-9]{2}[ ]?[0-9]{2}[ \.\-]?[0-9]{2}[ \.\-]?[0-9]{2}$",$clifax))
																$faxok=FALSE;
														}
														if ($faxok==TRUE)
														{
															$rech = "SELECT * FROM " .TBMQUE. " WHERE mque_code = '$codemque'";
															$rs = mysql_query($rech) or die(mysql_error());
															
															$rs2="";
									
															// N'existe pas...on insère
															if (mysql_num_rows($rs) == 0)
															{
																$rs2 = "INSERT INTO " .TBMQUE." SET";
																foreach ($tab_nchampcsv as $key => $value)
																{
																	if (($key<>"mque_ville") AND ($key<>"mque_code"))
																	{
																		if ($key=="mque_cp")
																			$rs2.=" `mque_ville`='".$idvilles."',";
																		else
																			$rs2.=" `".$key."`='".addslashes(strip_tags(trim($tab_csv_nfields[$value])))."',";
																	}
																}
																$rs2=substr($rs2,0,strlen($rs2)-1); // On enlève la dernière virgule
																$tab_result[$nligne+1]="Ajout&eacute;";
															}
															else // Existe, on met à jour ?
															{
																if ($_POST["majmque"]=="O") // Oui, si demandé (sinon, ne rien faire)
																{
																	$rs2="UPDATE  `".TBMQUE."` SET";
																	foreach ($tab_nchampcsv as $key => $value)
																	{
																		if (($key<>"mque_ville") AND ($key<>"mque_code"))
																		{
																			if ($key=="mque_cp")
																				$rs2.=" `mque_ville`='".$idvilles."',";
																			else
																				$rs2.=" `".$key."`='".addslashes(strip_tags(trim($tab_csv_nfields[$value])))."',";
																		}
																	}
																	$rs2=substr($rs2,0,strlen($rs2)-1); // On enlève la dernière virgule
																	$rs2.=" WHERE `mque_code`='".$codemque."'";
																	$tab_result[$nligne+1]="Modifi&eacute;";
																}
																else
																	$tab_result[$nligne+1]="Ignor&eacute;e (existe d&eacute;j&agrave;)";
															}
															$tab_code[$nligne+1]=$codemque;
															if ($rs2<>"")
																mysql_query($rs2) or die(mysql_error());
														}
														else
														{
															$nb_erreurs++;
															$tab_result[$nligne+1].="Fax erron&eacute;";
														}
													}
													else
													{
														$nb_erreurs++;
														$tab_result[$nligne+1].="Tel. fixe &eacute;rron&eacute;";
													}
												}
												else
												{
													$nb_erreurs++;
													$tab_result[$nligne+1].="CP/ville erron&eacute;e";
												}
											}
											else
											{
												$nb_erreurs++;
												$tab_result[$nligne+1].="D&eacute;partement inconnu";
											}
										}
										else
										{
											$nb_erreurs++;
											$tab_result[$nligne+1].="Pays inconnu";
										}
									}
									else
									{
										$nb_erreurs++;
										$tab_result[$nligne+1].="Code pas alphanum&eacute;rique";
									}
								}
								else
								{
									$nb_erreurs++;
									$tab_result[$nligne+1].="Champ obligatoire manquant ou erron&eacute;";
								}
								break;
							/******************************************************/
							/**                   TYPES LICENCES                 **/
							/******************************************************/
							case "tl" :
								// Récupération valeurs de champs primordiales avec nettoyage
								$codetl=str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["rltl_code"]])));
								$destl=str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["rltl_desc"]])));
								
								$tab_result[$nligne+1]="Erreur<br>";
								$tab_detail[$nligne+1]=$destl;
								
								// On ne traite que les lignes avec les bonnes informations
								if (($codetl<>"") AND ($destl<>""))
								{
									// On vérifie le code est bien alphanumérique
									if (eregi("^[a-z0-9]*$",$codetl))
									{
											$rech = "SELECT * FROM " .TBRLTL. " WHERE rltl_code = '$codetl'";
											$rs = mysql_query($rech) or die(mysql_error());
											
											$rs2="";
					
											// N'existe pas...on insère
											if (mysql_num_rows($rs) == 0)
											{
												$rs2 = "INSERT INTO " .TBRLTL." SET";
												foreach ($tab_nchampcsv as $key => $value)
												{
													if ($value>=0)
													{
														$rs2.=" `".$key."`='".addslashes(strip_tags(trim($tab_csv_nfields[$value])))."',";
													}
												}
												$rs2=substr($rs2,0,strlen($rs2)-1); // On enlève la dernière virgule
												$tab_result[$nligne+1]="Ajout&eacute;";
											}
											else // Existe, on met à jour ?
											{
												if ($_POST["majtl"]=="O") // Oui, si demandé (sinon, rien faire)
												{
													$rs2="UPDATE  `".TBRLTL."` SET";
													foreach ($tab_nchampcsv as $key => $value)
													{
														if ($value>=0)
														{
															$rs2.=" `".$key."`='".addslashes(strip_tags(trim($tab_csv_nfields[$value])))."',";
														}
													}
													$rs2=substr($rs2,0,strlen($rs2)-1); // On enlève la dernière virgule
													$rs2.=" WHERE `rltl_code`='".$codetl."'";
													$tab_result[$nligne+1]="Modifi&eacute;";
												}
												else
													$tab_result[$nligne+1]="Ignor&eacute; (existe d&eacute;j&agrave;)";
											}
											$tab_code[$nligne+1]=$codetl;
											if ($rs2<>"")
												mysql_query($rs2) or die(mysql_error());
									}
									else
									{
										$nb_erreurs++;
										$tab_result[$nligne+1].="Code pas alphanum&eacute;rique";
									}
								}
								else
								{
									$nb_erreurs++;
									$tab_result[$nligne+1].="Champ obligatoire manquant ou erron&eacute;";
								}
								break;
							/******************************************************/
							/**                   DEPARTEMENTS/ETATS             **/
							/******************************************************/
							case "dep" :
								// Récupération valeurs de champs primordiales avec nettoyage
								$codedep=str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["dep_code"]])));
								$nomdep=str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["dep_nom"]])));
								$paysdep=str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["dep_codepays"]])));
								
								$tab_result[$nligne+1]="Erreur<br>";
								$tab_detail[$nligne+1]=$nomdep;
								
								// On ne traite que les lignes avec les bonnes informations
								if (($codedep<>"") AND ($nomdep<>"") AND ($paysdep<>""))
								{
									// On vérifie le code est bien alphanumérique
									if (eregi("^[a-z0-9]*$",$codedep))
									{
										// On vérifie le pays
										$rech = "SELECT * FROM " .TBPAYS. " WHERE pays_code = '".addslashes($paysdep)."'";
										$rs = mysql_query($rech) or die(mysql_error());
										if (mysql_num_rows($rs) == 1)
										{
											$rech = "SELECT * FROM " .TBDEP. " WHERE dep_code = '$codedep' AND dep_codepays = '".addslashes($paysdep)."' ";
											$rs = mysql_query($rech) or die(mysql_error());
											
											$rs2="";
					
											// N'existe pas...on insère
											if (mysql_num_rows($rs) == 0)
											{
												$rs2 = "INSERT INTO " .TBDEP." SET";
												foreach ($tab_nchampcsv as $key => $value)
												{
													if ($value>=0)
													{
														$rs2.=" `".$key."`='".addslashes(strip_tags(trim($tab_csv_nfields[$value])))."',";
													}
												}
												$rs2=substr($rs2,0,strlen($rs2)-1); // On enlève la dernière virgule
												$tab_result[$nligne+1]="Ajout&eacute;";
											}
											else // Existe, on met à jour ?
											{
												if ($_POST["majdep"]=="O") // Oui, si demandé (sinon, rien faire)
												{
													$rs2="UPDATE  `".TBDEP."` SET";
													foreach ($tab_nchampcsv as $key => $value)
													{
														if ($value>=0)
														{
															$rs2.=" `".$key."`='".addslashes(strip_tags(trim($tab_csv_nfields[$value])))."',";
														}
													}
													$rs2=substr($rs2,0,strlen($rs2)-1); // On enlève la dernière virgule
													$rs2.=" WHERE `dep_code`='".$codedep."'";
													$tab_result[$nligne+1]="Modifi&eacute;";
												}
												else
													$tab_result[$nligne+1]="Ignor&eacute; (existe d&eacute;j&agrave;)";
											}
											$tab_code[$nligne+1]=$codedep;
											if ($rs2<>"")
												mysql_query($rs2) or die(mysql_error());
										}
										else
										{
											$nb_erreurs++;
											$tab_result[$nligne+1].="Pays inconnu";
										}
									}
									else
									{
										$nb_erreurs++;
										$tab_result[$nligne+1].="Code pas alphanum&eacute;rique";
									}
								}
								else
								{
									$nb_erreurs++;
									$tab_result[$nligne+1].="Champ obligatoire manquant ou erron&eacute;";
								}
								break;
							/******************************************/
							/**                   VILLES             **/
							/******************************************/
							case "villes" :
								// Récupération valeurs de champs primordiales avec nettoyage
								$dep=str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["villes_dep"]])));
								$cp=str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["villes_cp"]])));
								$nom=str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["villes_nom"]])));
								$pays=str_majuscules(strip_tags(trim($tab_csv_nfields[$tab_nchampcsv["villes_codepays"]])));
								
								$tab_result[$nligne+1]="Erreur<br>";
								$tab_detail[$nligne+1]=$nom;
								
								// On ne traite que les lignes avec les bonnes informations
								if (($dep<>"") AND ($cp<>"") AND ($nom<>"") AND ($pays<>""))
								{
									// On vérifie le code est bien alphanumérique
									if (eregi("^[a-z0-9]*$",$dep))
									{
										// On vérifie le pays
										$rech = "SELECT * FROM " .TBPAYS. " WHERE pays_code = '".addslashes($pays)."'";
										$rs = mysql_query($rech) or die(mysql_error());
										if (mysql_num_rows($rs) == 1)
										{
											// On vérifie le département
											$rech = "SELECT * FROM " .TBDEP. " WHERE dep_code = '".addslashes($dep)."' AND dep_codepays = '".addslashes($pays)."'";
											$rs = mysql_query($rech) or die(mysql_error());
											if (mysql_num_rows($rs) == 1)
											{
												// On vérifie la combinaison CP/Ville/Département/Pays
												$rech = "SELECT * FROM " .TBVILLES. " WHERE villes_cp = '".addslashes($cp)."' AND villes_nom LIKE '%".addslashes($nom)."%' AND villes_dep='".addslashes($dep)."' AND villes_codepays='".addslashes($pays)."'";
												$rs = mysql_query($rech) or die(mysql_error());
												if (mysql_num_rows($rs) == 0)
												{
													$rs2 = "INSERT INTO " .TBVILLES." SET";
													foreach ($tab_nchampcsv as $key => $value)
													{
														if ($value>=0)
														{
															$rs2.=" `".$key."`='".addslashes(strip_tags(trim($tab_csv_nfields[$value])))."',";
														}
													}
													$rs2=substr($rs2,0,strlen($rs2)-1); // On enlève la dernière virgule
													$tab_result[$nligne+1]="Ajout&eacute;";
												}
												else // Existe, on met à jour ?
												{
													if ($_POST["majvilles"]=="O") // Oui, si demandé (sinon, rien faire)
													{
														if ($row = mysql_fetch_array($rs))
															extract($row);
														$rs2="UPDATE  `".TBVILLES."` SET";
														foreach ($tab_nchampcsv as $key => $value)
														{
															if ($value>=0)
															{
																$rs2.=" `".$key."`='".addslashes(strip_tags(trim($tab_csv_nfields[$value])))."',";
															}
														}
														$rs2=substr($rs2,0,strlen($rs2)-1); // On enlève la dernière virgule
														$rs2.=" WHERE `villes_id`='".$villes_id."'";
														$tab_result[$nligne+1]="Modifi&eacute;";
													}
													else
														$tab_result[$nligne+1]="Ignor&eacute; (existe d&eacute;j&agrave;)";
												}
												$tab_code[$nligne+1]=$codedep;
												if ($rs2<>"")
													mysql_query($rs2) or die(mysql_error());
											}
											else
											{
												$nb_erreurs++;
												$tab_result[$nligne+1].="D&eacute;partement inconnu";
											}
										}
										else
										{
											$nb_erreurs++;
											$tab_result[$nligne+1].="Pays inconnu";
										}
									}
									else
									{
										$nb_erreurs++;
										$tab_result[$nligne+1].="Code pas alphanum&eacute;rique";
									}
								}
								else
								{
									$nb_erreurs++;
									$tab_result[$nligne+1].="Champ obligatoire manquant ou erron&eacute;";
								}
								break;
						}
					}
				}
				$nligne++;
			}
			mysql_close($conn);
		}
		else
			$fic_ok=FALSE;
		fclose($handle);
		$import_fait=TRUE;
	}
}
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - ESPACE PRIVE : Importation</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->

<script language="JavaScript" src="../jscript/coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>

<!-- Scripts Javascript pour contrôle de formulaire -->
<script	type="text/javascript" src="../jscript/vform/vform.js"></script>

<!-- Scripts Javascript divers -->
<script language="JavaScript" src="../jscript/divers.js"></script>

</head>

<body>

<?php 
	include_once("entete.inc.php"); 
?>
<p align="center"> <span class="titrepage"><?PHP echo $titre ?></span></p>
<p align="center"><span class="annot_std_gras">Fichier &quot;<span class="annot_gras_it"><?PHP echo @$_POST["nomfic"] ?></span>&quot; import&eacute;</span></p>
<p align="center"><span class="annot_std_gras"><span class="annot_gras_it"><?PHP echo ($nligne-1) ?> lignes trait&eacute;es.</p>
<?PHP
if ($nb_erreurs>0)
{
?>
<p align="center"><span class="annot_gras_it">ATTENTION : <?PHP echo $nb_erreurs;
if ($nb_erreurs == 1) echo " erreur"; else echo " erreurs";?>.</span></p>
<?PHP
}
?>
<p>&nbsp;</p>
<?PHP
if (($import_ok == TRUE) AND ($fic_ok == TRUE))
{
	// Détails des importations principales
	switch ($td)
	{
		/******************************************/
		/**                   PAYS               **/
		/******************************************/
		case "pays" :
?>
			<div id="pas_detail_payss" style="display:block">
			<a href="javascript:;" onclick="display('detail_pays','block');display('pas_detail_pays','none');")><img src="../img/view+.gif" title="D&eacute;tails importation pays" width="22" height="22" border="0" align="absmiddle"></a> 
			<a href="javascript:;" onclick="display('detail_pays','block');display('pas_detail_pays','none');"> D&eacute;tails importation pays</a>
			</div>
			<div id="detail_pays" style="display:none">
			<a href="javascript:;" onclick="display('pas_detail_pays','block');display('detail_pays','none');")><img src="../img/view-.gif" title="D&eacute;tails importation pays" width="22" height="22" border="0" align="absmiddle"></a> 
			<a href="javascript:;" onclick="display('pas_detail_pays','block');display('detail_pays','none');"> Pas de d&eacute;tails importation pays</a>

			<!-- Liste des Types licences importés -->
			<table class="Mtable" border="0" width="100%" cellpadding="0" cellspacing="0">     
			<th>Ligne</th>
			<th>Code</th>
			<th>Nom</th>
			<th>Effectu&eacute;</th>
<?PHP
			break;
		/******************************************/
		/**                   VILLES             **/
		/******************************************/
		case "villes" :
?>
			<div id="pas_detail_villes" style="display:block">
			<a href="javascript:;" onclick="display('detail_villes','block');display('pas_detail_villes','none');")><img src="../img/view+.gif" title="D&eacute;tails importation villes" width="22" height="22" border="0" align="absmiddle"></a> 
			<a href="javascript:;" onclick="display('detail_villes','block');display('pas_detail_villes','none');"> D&eacute;tails importation villes</a>
			</div>
			<div id="detail_villes" style="display:none">
			<a href="javascript:;" onclick="display('pas_detail_villes','block');display('detail_villes','none');")><img src="../img/view-.gif" title="D&eacute;tails importation villes" width="22" height="22" border="0" align="absmiddle"></a> 
			<a href="javascript:;" onclick="display('pas_detail_villes','block');display('detail_villes','none');"> Pas de d&eacute;tails importation villes</a>

			<!-- Liste des Types licences importés -->
			<table class="Mtable" border="0" width="100%" cellpadding="0" cellspacing="0">     
			<th>Ligne</th>
			<th>Code</th>
			<th>Nom</th>
			<th>Effectu&eacute;</th>
<?PHP
			break;
		/************************************************/
		/**                   DEPARTEMENTS             **/
		/************************************************/
		case "dep" :
?>
			<div id="pas_detail_dep" style="display:block">
			<a href="javascript:;" onclick="display('detail_dep','block');display('pas_detail_dep','none');")><img src="../img/view+.gif" title="D&eacute;tails importation d&eacute;partements" width="22" height="22" border="0" align="absmiddle"></a> 
			<a href="javascript:;" onclick="display('detail_dep','block');display('pas_detail_dep','none');"> D&eacute;tails importation d&eacute;partements</a>
			</div>
			<div id="detail_dep" style="display:none">
			<a href="javascript:;" onclick="display('pas_detail_dep','block');display('detail_dep','none');")><img src="../img/view-.gif" title="D&eacute;tails importation d&eacute;partements" width="22" height="22" border="0" align="absmiddle"></a> 
			<a href="javascript:;" onclick="display('pas_detail_dep','block');display('detail_dep','none');"> Pas de d&eacute;tails importation d&eacute;partements</a>

			<!-- Liste des Types licences importés -->
			<table class="Mtable" border="0" width="100%" cellpadding="0" cellspacing="0">     
			<th>Ligne</th>
			<th>Code</th>
			<th>Nom</th>
			<th>Effectu&eacute;</th>
<?PHP
			break;
		/******************************************************/
		/**                   TYPES LICENCES                 **/
		/******************************************************/
		case "tl" :
?>
			<div id="pas_detail_tl" style="display:block">
			<a href="javascript:;" onclick="display('detail_tl','block');display('pas_detail_tl','none');")><img src="../img/view+.gif" title="D&eacute;tails importation types licences" width="22" height="22" border="0" align="absmiddle"></a> 
			<a href="javascript:;" onclick="display('detail_tl','block');display('pas_detail_tl','none');"> D&eacute;tails importation types licences</a>
			</div>
			<div id="detail_tl" style="display:none">
			<a href="javascript:;" onclick="display('pas_detail_tl','block');display('detail_tl','none');")><img src="../img/view-.gif" title="D&eacute;tails importation types licences" width="22" height="22" border="0" align="absmiddle"></a> 
			<a href="javascript:;" onclick="display('pas_detail_tl','block');display('detail_tl','none');"> Pas de d&eacute;tails importation types licences</a>

			<!-- Liste des Types licences importés -->
			<table class="Mtable" border="0" width="100%" cellpadding="0" cellspacing="0">     
			<th>Ligne</th>
			<th>Code</th>
			<th>D&eacute;signation</th>
			<th>Effectu&eacute;</th>
<?PHP
			break;
		/******************************************************/
		/**                       MARQUES                    **/
		/******************************************************/
	
		case "mque" :
?>
			<div id="pas_detail_mque" style="display:block">
			<a href="javascript:;" onclick="display('detail_mque','block');display('pas_detail_mque','none');")><img src="../img/view+.gif" title="D&eacute;tails importation marques" width="22" height="22" border="0" align="absmiddle"></a> 
			<a href="javascript:;" onclick="display('detail_mque','block');display('pas_detail_mque','none');"> D&eacute;tails importation marques</a>
			</div>
			<div id="detail_mque" style="display:none">
			<a href="javascript:;" onclick="display('pas_detail_mque','block');display('detail_mque','none');")><img src="../img/view-.gif" title="D&eacute;tails importation marques" width="22" height="22" border="0" align="absmiddle"></a> 
			<a href="javascript:;" onclick="display('pas_detail_mque','block');display('detail_mque','none');"> Pas de d&eacute;tails importation marques</a>

			<!-- Liste des Marques importées -->
			<table class="Mtable" border="0" width="100%" cellpadding="0" cellspacing="0">     
			<th>Ligne</th>
			<th>Code</th>
			<th>Nom</th>
			<th>Effectu&eacute;</th>
<?PHP
			break;
		/******************************************************/
		/**                CATEGORIES MATERIELS              **/
		/******************************************************/
	
		case "catm" :
?>
			<div id="pas_detail_catm" style="display:block">
			<a href="javascript:;" onclick="display('detail_catm','block');display('pas_detail_catm','none');")><img src="../img/view+.gif" title="D&eacute;tails importation cat&eacute;gories mat&eacute;riels" width="22" height="22" border="0" align="absmiddle"></a> 
			<a href="javascript:;" onclick="display('detail_catm','block');display('pas_detail_catm','none');"> D&eacute;tails importation cat&eacute;gories mat&eacute;riels</a>
			</div>
			<div id="detail_catm" style="display:none">
			<a href="javascript:;" onclick="display('pas_detail_catm','block');display('detail_catm','none');")><img src="../img/view-.gif" title="D&eacute;tails importation cat&eacute;gories mat&eacute;riels" width="22" height="22" border="0" align="absmiddle"></a> 
			<a href="javascript:;" onclick="display('pas_detail_catm','block');display('detail_catm','none');"> Pas de d&eacute;tails importation cat&eacute;gories mat&eacute;riels</a>

			<!-- Liste des Catégories importées -->
			<table class="Mtable" border="0" width="100%" cellpadding="0" cellspacing="0">     
			<th>Ligne</th>
			<th>Code</th>
			<th>Nom</th>
			<th>Effectu&eacute;</th>
<?PHP
			break;

		/******************************************************/
		/**                    CLIENTS                       **/
		/******************************************************/
	
		case "cli" :

			// Envoi des emails login/MDP aux clients (si demandés) avec copie admin
			if ($_POST["mailcli"]=="O")
			{
				foreach ($tab_codepass as $key => $value)
				{
					// Envoi d'email vers le client
					envoi_mail("Ouverture de votre compte client","cli","cre","xxx","cli",$key,$value,"",TRUE);
					// Envoi d'email vers le centre de gestion
					envoi_mail("Création de client","cli","cre","xxx","cdg",$key,"","",FALSE);
				}
			}
			
			// On prévient l'administrateur de la création des répertoires clients
			// (Même si on a pas demandé l'envoi des logins/MDP)
			foreach ($tab_clirep as $key => $value)
			{
				// Envoi d'email vers l'administrateur pour la création du répertoire
				envoi_mail("Création de répertoire","dir","cre","xxx","wm",$value,"","",FALSE);
			}
		
?>
			<div id="pas_detail_cli" style="display:block">
			<a href="javascript:;" onclick="display('detail_cli','block');display('pas_detail_cli','none');")><img src="../img/view+.gif" title="D&eacute;tails importation clients" width="22" height="22" border="0" align="absmiddle"></a> 
			<a href="javascript:;" onclick="display('detail_cli','block');display('pas_detail_cli','none');"> D&eacute;tails importation clients</a>
			</div>
			<div id="detail_cli" style="display:none">
			<a href="javascript:;" onclick="display('pas_detail_cli','block');display('detail_cli','none');")><img src="../img/view-.gif" title="D&eacute;tails importation clients" width="22" height="22" border="0" align="absmiddle"></a> 
			<a href="javascript:;" onclick="display('pas_detail_cli','block');display('detail_cli','none');"> Pas de d&eacute;tails importation clients</a>

			<!-- Liste des Clients importés -->
			<table class="Mtable" border="0" width="100%" cellpadding="0" cellspacing="0">     
			<th>Ligne</th>
			<th>Code</th>
			<th>Nom</th>
			<th>Effectu&eacute;</th>
<?PHP
			break;

		/******************************************************/
		/**                    ARTICLES                      **/
		/******************************************************/
	
		case "art" :
?>
			<div id="pas_detail_art" style="display:block">
			<a href="javascript:;" onclick="display('detail_art','block');display('pas_detail_art','none');")><img src="../img/view+.gif" title="D&eacute;tails importation articles" width="22" height="22" border="0" align="absmiddle"></a> 
			<a href="javascript:;" onclick="display('detail_art','block');display('pas_detail_art','none');"> D&eacute;tails importation articles</a>
			</div>
			<div id="detail_art" style="display:none">
			<a href="javascript:;" onclick="display('pas_detail_art','block');display('detail_art','none');")><img src="../img/view-.gif" title="D&eacute;tails importation articles" width="22" height="22" border="0" align="absmiddle"></a> 
			<a href="javascript:;" onclick="display('pas_detail_art','block');display('detail_art','none');"> Pas de d&eacute;tails importation articles</a>

			<!-- Liste des Articles importés -->
			<table class="Mtable" border="0" width="100%" cellpadding="0" cellspacing="0">     
			<th>Ligne</th>
			<th>Code</th>
			<th>D&eacute;signation</th>
			<th>Op&eacute;ration</th>
<?PHP
			break;
		}			

		$i=0;
		foreach ($tab_result as $key => $value)
		{			
			if(stristr($value,"Erreur"))
			   echo "<tr onmouseover=\"this.style.backgroundColor='#339999'\" onmouseout=\"this.style.backgroundColor='Red'\" class=\"TRalterErr\">\n";
			else
			{
				if($i%2 == 0)  
				   echo "<tr onmouseover=\"this.style.backgroundColor='Whitesmoke'\" onmouseout=\"this.style.backgroundColor='Limegreen'\" class=\"TRalter1\">\n";
				else
				   echo "<tr onmouseover=\"this.style.backgroundColor='Whitesmoke'\" onmouseout=\"this.style.backgroundColor='Lime'\" class=\"TRalter2\">\n";
			}
			 echo "<td>".$key."</td>\n";
			 echo "<td>";
			 if (trim($tab_code[$key])<>"")
				echo $tab_code[$key];
			else
				echo "&nbsp;";
			 echo "</td>\n";
			 echo "<td>".$tab_detail[$key]."</td>\n";
			 echo "<td align=\"center\">".$value."</td>\n";
			 echo "</tr>";
			 $i++;
		}
?>
		</table>
		</div>
		<br>
<?PHP
	// Détails des importations complémentaires
	switch ($td)
	{
		/******************************************************/
		/**                    CLIENTS                       **/
		/******************************************************/
	
		case "cli" :
?>
			<div id="pas_detail_cat" style="display:block">
			<a href="javascript:;" onclick="display('detail_cat','block');display('pas_detail_cat','none');")><img src="../img/view+.gif" title="D&eacute;tails importation cat&eacute;gories" width="22" height="22" border="0" align="absmiddle"></a> 
			<a href="javascript:;" onclick="display('detail_cat','block');display('pas_detail_cat','none');"> D&eacute;tails importation cat&eacute;gories</a>
			</div>
			<div id="detail_cat" style="display:none">
			<a href="javascript:;" onclick="display('pas_detail_cat','block');display('detail_cat','none');")><img src="../img/view-.gif" title="D&eacute;tails importation cat&eacute;gories" width="22" height="22" border="0" align="absmiddle"></a> 
			<a href="javascript:;" onclick="display('pas_detail_cat','block');display('detail_cat','none');"> Pas de d&eacute;tails importation cat&eacute;gories</a>

			<!-- Liste des Catégories importées -->
			<table class="Mtable" border="0" width="100%" cellpadding="0" cellspacing="0">     
			<th>Code</th>
			<th>Libell&eacute;</th>
			<th>Op&eacute;ration</th>
<?PHP
			$i=0;
			foreach ($tab_cat_detail as $key => $value)
			{			
				if($i%2 == 0)  
				   echo "<tr onmouseover=\"this.style.backgroundColor='Whitesmoke'\" onmouseout=\"this.style.backgroundColor='Limegreen'\" class=\"TRalter1\">\n";
				else
				   echo "<tr onmouseover=\"this.style.backgroundColor='Whitesmoke'\" onmouseout=\"this.style.backgroundColor='Lime'\" class=\"TRalter2\">\n";
				 echo "<td>".$key."</td>\n";
				 echo "<td>".stripslashes($value)."</td>\n";
				 echo "<td align=\"center\">".$tab_cat_result[$key]."</td>\n";
				 echo "</tr>";
				 $i++;
			}
?>
			</table>
			</div>
			<br>

			<div id="pas_detail_civ" style="display:block">
			<a href="javascript:;" onclick="display('detail_civ','block');display('pas_detail_civ','none');")><img src="../img/view+.gif" title="D&eacute;tails importation civilit&eacute;s" width="22" height="22" border="0" align="absmiddle"></a> 
			<a href="javascript:;" onclick="display('detail_civ','block');display('pas_detail_civ','none');"> D&eacute;tails importation civilit&eacute;s</a>
			</div>
			<div id="detail_civ" style="display:none">
			<a href="javascript:;" onclick="display('pas_detail_civ','block');display('detail_civ','none');")><img src="../img/view-.gif" title="D&eacute;tails importation civilit&eacute;s" width="22" height="22" border="0" align="absmiddle"></a> 
			<a href="javascript:;" onclick="display('pas_detail_civ','block');display('detail_civ','none');"> Pas de d&eacute;tails importation civilit&eacute;s</a>

			<!-- Liste des civilités importées -->
			<table class="Mtable" border="0" width="100%" cellpadding="0" cellspacing="0">     
			<th>Code</th>
			<th>Libell&eacute;</th>
			<th>Op&eacute;ration</th>
<?PHP
			$i=0;
			foreach ($tab_civ_detail as $key => $value)
			{			
				if($i%2 == 0)  
				   echo "<tr onmouseover=\"this.style.backgroundColor='Whitesmoke'\" onmouseout=\"this.style.backgroundColor='Limegreen'\" class=\"TRalter1\">\n";
				else
				   echo "<tr onmouseover=\"this.style.backgroundColor='Whitesmoke'\" onmouseout=\"this.style.backgroundColor='Lime'\" class=\"TRalter2\">\n";
				 echo "<td>".$key."</td>\n";
				 echo "<td>".stripslashes($value)."</td>\n";
				 echo "<td align=\"center\">".$tab_civ_result[$key]."</td>\n";
				 echo "</tr>";
				 $i++;
			}
?>
			</table>
			</div>
			<br>
<?PHP
			if (($gencat==TRUE) OR ($genciv==TRUE))
			{
?>
				<p align="center">
					 <input name="nul" type="button" class="bton_fmarr_std" id="nul" value="Retour accueil" onClick="javascript:; self.location.href=('index.php');"> 
				</p>
<?PHP
			}
			else
			{
				if (($nsaisies_cat>0) OR ($nsaisies_civ>0))
				{
?>
					<script language="javascript">
					var tab1_champ=new Array(
					<?PHP
						if ($nsaisies_cat>0)
						{
							if ($nsaisies_civ>0)
							{
					?>
						"nom:descat[] ; format:txt ; req:Y ; txt:Libellé catégorie ; lmx:50 ; stok:frmok ; stbad:frmbad",
						"nom:desciv[] ; format:txt ; req:Y ; txt:Libellé civilité ; lmx:50 ; stok:frmok ; stbad:frmbad");
					<?PHP
							}
							else
							{
					?>
						"nom:descat[] ; format:txt ; req:Y ; txt:Libellé catégorie ; lmx:50 ; stok:frmok ; stbad:frmbad");
					<?PHP
							}
						}
						else
						{
					?>
						"nom:desciv[] ; format:txt ; req:Y ; txt:Libellé civilité ; lmx:50 ; stok:frmok ; stbad:frmbad");
					<?PHP
						}
					?>
					</script>
					<br>
					<p align="center" class="annot_std_gras">Saisie des cat&eacute;gories et civilit&eacute;s cr&eacute;&eacute;es</p>
					<!-- Formulaire permettant la modification des libellés catégories créés -->
					<form name="saiscatciv" id="saiscatciv" method="post" action="add_catciv.php" onSubmit="javascript:; return (VForm(this,tab1_champ,'',''));">
					<input name="titre" type="hidden" id="titre" value="<?PHP echo $titre ?>">
					<!-- Saisie des Catégories importées -->
					<table class="Mtable" border="0" width="100%" cellpadding="0" cellspacing="0">     
					<th>Code</th>
					<th>Libell&eacute;</th>
					<tr class="TRalter1D">
					<?PHP
					if ($nsaisies_cat>0)
					{
					?>
						<tr class="TRalter1D">
						<td colspan="2" align="center" height="30" class="annot_std_gras" style="color:#FFFF00;">
							CATEGORIES
						</td>
						</tr>
						<?PHP
						$i=0;
						foreach ($tab_cat_detail as $key => $value)
						{			
							$asaisir=TRUE;
							if ($tab_cat_result[$key]!="Saisir")
								$asaisir=FALSE;
							if ($asaisir==TRUE)
							{
								if($i%2 == 0)  
								   echo "<tr onmouseover=\"this.style.backgroundColor='Whitesmoke'\" onmouseout=\"this.style.backgroundColor='Limegreen'\" class=\"TRalter1\">\n";
								else
								   echo "<tr onmouseover=\"this.style.backgroundColor='Whitesmoke'\" onmouseout=\"this.style.backgroundColor='Lime'\" class=\"TRalter2\">\n";
								echo "<td width=\"30%\" align=\"right\" style=\"font-weight:bold; margin-right:5px;\">".$key."</td>\n";
								echo "<td>";
								echo "<input type=\"hidden\" name=\"codecat[]\" size=\"5\"value=\"".htmlspecialchars(stripslashes($key))."\">";
								echo "<input type=\"text\" name=\"descat[]\" size=\"50\" style=\"margin-left:5px;\" value=\"".htmlspecialchars(stripslashes($value))."\">";
								echo "</td>\n";
								echo "</tr>";
								$i++;
							}
						}
					}

					if ($nsaisies_civ>0)
					{
					?>
						<tr class="TRalter1D">
						<td colspan="2" align="center" height="30" class="annot_std_gras" style="color:#FFFF00;">
							CIVILITES
						</td>
						</tr>
						<?PHP
						$i=0;
						foreach ($tab_civ_detail as $key => $value)
						{			
							$asaisir=TRUE;
							if ($tab_civ_result[$key]!="Saisir")
								$asaisir=FALSE;
							if ($asaisir==TRUE)
							{
								if($i%2 == 0)  
								   echo "<tr onmouseover=\"this.style.backgroundColor='Whitesmoke'\" onmouseout=\"this.style.backgroundColor='Limegreen'\" class=\"TRalter1\">\n";
								else
								   echo "<tr onmouseover=\"this.style.backgroundColor='Whitesmoke'\" onmouseout=\"this.style.backgroundColor='Lime'\" class=\"TRalter2\">\n";
								echo "<td width=\"30%\" align=\"right\" style=\"font-weight:bold; margin-right:5px;\">".$key."</td>\n";
								echo "<td>";
								echo "<input type=\"hidden\" name=\"codeciv[]\" size=\"5\"value=\"".htmlspecialchars(stripslashes($key))."\">";
								echo "<input type=\"text\" name=\"desciv[]\" size=\"50\" style=\"margin-left:5px;\" value=\"".htmlspecialchars(stripslashes($value))."\">";
								echo "</td>\n";
								echo "</tr>";
								$i++;
							}
						}
					}
					?>
					</table>
					<p align="center">
						<input name="val" type="submit" class="bton_fmarr_std" id="val" value="Valider">
						 <input name="nul" type="button" class="bton_fmarr_std" id="nul" value="Laisser tel quel" onClick="javascript:; self.location.href=('index.php');"> 
						 <input name="RAZ" type="reset" class="bton_fmarr_std" id="RAZ" value="R&eacute;initialiser">
					</p>
					</form>
<?PHP
				}
				else
				{
?>
					<br>
					<span class="annot_std_it">Pas de cat&eacute;gorie ou de civilit&eacute; cr&eacute;&eacute;e</span>
					<p align="center">
						 <input name="nul" type="button" class="bton_fmarr_std" id="nul" value="Retour accueil" onClick="javascript:; self.location.href=('index.php');"> 
					</p>
<?PHP
				}
			}

			break;

		/******************************************************/
		/**                    ARTICLES                      **/
		/******************************************************/
	
		case "art" :
?>
			<div id="pas_detail_fam" style="display:block">
			<a href="javascript:;" onclick="display('detail_fam','block');display('pas_detail_fam','none');")><img src="../img/view+.gif" title="D&eacute;tails importation familles" width="22" height="22" border="0" align="absmiddle"></a> 
			<a href="javascript:;" onclick="display('detail_fam','block');display('pas_detail_fam','none');"> D&eacute;tails importation familles</a>
			</div>
			<div id="detail_fam" style="display:none">
			<a href="javascript:;" onclick="display('pas_detail_fam','block');display('detail_fam','none');")><img src="../img/view-.gif" title="D&eacute;tails importation familles" width="22" height="22" border="0" align="absmiddle"></a> 
			<a href="javascript:;" onclick="display('pas_detail_fam','block');display('detail_fam','none');"> Pas de d&eacute;tails importation familles</a>

			<!-- Liste des Familles importées -->
			<table class="Mtable" border="0" width="100%" cellpadding="0" cellspacing="0">     
			<th>Code</th>
			<th>Libell&eacute;</th>
			<th>Op&eacute;ration</th>
<?PHP
			$i=0;
			foreach ($tab_fam_detail as $key => $value)
			{			
				if($i%2 == 0)  
				   echo "<tr onmouseover=\"this.style.backgroundColor='Whitesmoke'\" onmouseout=\"this.style.backgroundColor='Limegreen'\" class=\"TRalter1\">\n";
				else
				   echo "<tr onmouseover=\"this.style.backgroundColor='Whitesmoke'\" onmouseout=\"this.style.backgroundColor='Lime'\" class=\"TRalter2\">\n";
				 echo "<td>".$key."</td>\n";
				 echo "<td>".stripslashes($value)."</td>\n";
				 echo "<td align=\"center\">".$tab_fam_result[$key]."</td>\n";
				 echo "</tr>";
				 $i++;
			}
?>
			</table>
			</div>
<?PHP
			if ($genfam==TRUE)
			{
?>
				<p align="center">
					 <input name="nul" type="button" class="bton_fmarr_std" id="nul" value="Retour accueil" onClick="javascript:; self.location.href=('index.php');"> 
				</p>
<?PHP
			}
			else
			{
				if ($nsaisies_fam>0)
				{
?>
					<script language="javascript">
					var tab1_champ=new Array(
						"nom:desfam[] ; format:txt ; req:Y ; txt:Désignation ; lmx:50 ; stok:frmok ; stbad:frmbad");
					</script>
					<br>
					<!-- Formulaire permettant la modification des libellés familles créés -->
					<p align="center" class="annot_std_gras">Saisie des familles cr&eacute;&eacute;es</p>
					<form name="saisfam" id="saisfam" method="post" action="add_fam.php" onSubmit="javascript:; return (VForm(this,tab1_champ,'',''));">
					<input name="titre" type="hidden" id="titre" value="<?PHP echo $titre ?>">
					<!-- Saisie des Familles importées -->
					<table class="Mtable" border="0" width="100%" cellpadding="0" cellspacing="0">     
					<th>Code</th>
					<th>D&eacute;signation</th>
<?PHP
					$i=0;
					foreach ($tab_fam_detail as $key => $value)
					{			
						$asaisir=TRUE;
						if ($tab_fam_result[$key]!="Saisir")
							$asaisir=FALSE;
						if ($asaisir==TRUE)
						{
							if($i%2 == 0)  
							   echo "<tr onmouseover=\"this.style.backgroundColor='Whitesmoke'\" onmouseout=\"this.style.backgroundColor='Limegreen'\" class=\"TRalter1\">\n";
							else
							   echo "<tr onmouseover=\"this.style.backgroundColor='Whitesmoke'\" onmouseout=\"this.style.backgroundColor='Lime'\" class=\"TRalter2\">\n";
							echo "<td width=\"30%\" align=\"right\" style=\"font-weight:bold; margin-right:5px;\">".$key."</td>\n";
							echo "<td>";
							echo "<input type=\"hidden\" name=\"codefam[]\" size=\"5\"value=\"".htmlspecialchars(stripslashes($key))."\">";
							echo "<input type=\"text\" name=\"desfam[]\" size=\"50\" style=\"margin-left:5px;\" value=\"".htmlspecialchars(stripslashes($value))."\">";
							echo "</td>\n";
							echo "</tr>";
							$i++;
						}
					}
?>
					</table>
					<p align="center">
						<input name="val" type="submit" class="bton_fmarr_std" id="val" value="Valider">
						 <input name="nul" type="button" class="bton_fmarr_std" id="nul" value="Laisser tel quel" onClick="javascript:; self.location.href=('index.php');"> 
						 <input name="RAZ" type="reset" class="bton_fmarr_std" id="RAZ" value="R&eacute;initialiser">
					</p>
					</form>
<?PHP
				}
				else
				{
?>
					<br>
					<span class="annot_std_it">Pas de famille cr&eacute;&eacute;e</span>
					<p align="center">
						 <input name="nul" type="button" class="bton_fmarr_std" id="nul" value="Retour accueil" onClick="javascript:; self.location.href=('index.php');"> 
					</p>
<?PHP
				}
			}

			break;
		default : break;
	}
}
else
{
	if ($import_ok == FALSE)
	{
?>
		<script type="text/javascript">
		setTimeout("self.location.href=('index.php');",2000)
		</script>
		<p align="center" class="annot_std_it">Type d'importation incorrect...</p>
<?PHP
	}

	if ($fic_ok == FALSE)
	{
?>
		<script type="text/javascript">
		setTimeout("self.location.href=('index.php');",2000)
		</script>
		<p align="center" class="annot_std_it">Probl&egrave;me sur fichier &agrave; importer...</p>
<?PHP
	}
}
include_once("pied.php");
?>
